/**Begin D:\PDM_UPGRADE\PDM1\HRCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ACTINFOSERVICE') 
 CREATE TABLE T_HRCS_ACTINFOSERVICE (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPLUGINTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPLUGINDESC NVARCHAR(765) DEFAULT ' ' NOT NULL,
FBIZAPP VARCHAR(36) DEFAULT ' ' NOT NULL,
FSERVICE VARCHAR(100) DEFAULT ' ' NOT NULL,
FMETHOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ACTINFOSERVICE_L') 
 CREATE TABLE T_HRCS_ACTINFOSERVICE_L (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FPLUGINDESC NVARCHAR(765) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ACTFIELDMAPPING') 
 CREATE TABLE T_HRCS_ACTFIELDMAPPING (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTARGETFIELDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEFIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDACTIVITYID VARCHAR(255) DEFAULT ' ' NOT NULL,
FTARGETFIELD NVARCHAR(765) DEFAULT ' ' NOT NULL,
FSOUCEFIELDNAME NVARCHAR(765) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ACTFIELDMAPPING_L') 
 CREATE TABLE T_HRCS_ACTFIELDMAPPING_L (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FTARGETFIELD NVARCHAR(765) DEFAULT ' ' NOT NULL,
FSOUCEFIELDNAME NVARCHAR(765) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRCS_table.sql **/
